%global momorel 4
%global scimver 1.4.5
%global libchewingver 0.3.0
%global scim_major_version 1.4.0

Summary: Chewing Chinese input method for SCIM
Name: scim-chewing
Version: 0.3.1
Release: %{momorel}m%{?dist}
License: GPL
URL: http://chewing.csie.net/
Group: Applications/System
Source0: http://chewing.csie.net/download/scim/%{name}-%{version}.tar.gz 
NoSource: 0
Patch0: %{name}-%{version}-4.bz197556.patch
Patch1: %{name}-%{version}-5.bz206125.patch
Patch2: %{name}-%{version}-6.bz206112.patch
Patch3: %{name}-%{version}-8.bz206120.patch
Patch4: %{name}-%{version}-9.bz216581.patch
Patch5: scim-chewing-0.3.1-gcc43.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: scim >= %{scimver}
Requires: libchewing >= %{libchewingver}
BuildRequires: scim-devel >= %{scimver}
BuildRequires: libchewing-devel >= %{libchewingver}

%description
This package provides Chewing Chinese input method for SCIM.

%prep
%setup -q

%patch0 -p1 -b .1-bz197556
%patch1 -p1 -b .2-bz206125
%patch2 -p1 -b .3-bz206112
%patch3 -p1 -b .4-bz206120
%patch4 -p1 -b .5-bz216581

%patch5 -p1 -b .gcc43~

%build
%configure --disable-static
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

find %{buildroot} -name "*.la" -delete

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_libdir}/scim-1.0/%{scim_major_version}/IMEngine/chewing.so
%{_libdir}/scim-1.0/%{scim_major_version}/SetupUI/chewing-imengine-setup.so
%{_datadir}/locale/*/LC_MESSAGES/scim-chewing.mo
%{_datadir}/scim/icons/scim-chewing*.png

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.1-4m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.1-3m)
- %%NoSource -> NoSource

* Sun Jan 13 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.3.1-2m)
- add patch for gcc43, generated by gen43patch(v1)

* Tue Apr 10 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.1-1m)
- initial package for Momonga Linux
- import 5 patches from Fedora
